beam-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Manu Zhang (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (BEAM-2614) Harness doesn't build with Java7
Date Fri, 14 Jul 2017 03:50:02 GMT

    [ https://issues.apache.org/jira/browse/BEAM-2614?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16086800#comment-16086800
] 

Manu Zhang commented on BEAM-2614:
----------------------------------

The real problem is {{beam-sdks-java-javadoc}} has a dependency on {{beam-sdks-java-harness}}
regardless of Java version and fail to build as following

{code}
[ERROR] Failed to execute goal on project beam-sdks-java-javadoc: Could not resolve dependencies
for project org.apache.beam:beam-sdks-java-javadoc:pom:2.1.0: Failure to find org.apache.beam:beam-sdks-java-harness:jar:2.1.0
in https://repo.maven.apache.org/maven2 was cached in the local repository, resolution will
not be reattempted until the update interval of central has elapsed or updates are forced
{code}


> Harness doesn't build with Java7
> --------------------------------
>
>                 Key: BEAM-2614
>                 URL: https://issues.apache.org/jira/browse/BEAM-2614
>             Project: Beam
>          Issue Type: Bug
>          Components: sdk-java-extensions
>    Affects Versions: 2.0.0, 2.1.0
>            Reporter: Jean-Baptiste Onofré
>            Assignee: Jean-Baptiste Onofré
>
> Beam is supposed to fully build with Java7. However, the {{harness}} module doesn't:
> {code}
> [ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.6.1:compile
(default-compile) on project beam-sdks-java-harness: Fatal error compiling: invalid target
release: 1.8 -> [Help 1]
> {code}



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message